Author: adrian.chadd
Date: Sun Mar 29 11:11:58 2009
New Revision: 13888

Added:
    branches/LUSCA_HEAD/contrib/lusca.rc   (contents, props changed)

Log:
Addin a basic linux-compatible rc script



Added: branches/LUSCA_HEAD/contrib/lusca.rc
==============================================================================
--- (empty file)
+++ branches/LUSCA_HEAD/contrib/lusca.rc        Sun Mar 29 11:11:58 2009
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+LUSCA_BIN="/usr/local/lusca/sbin/lusca"
+LUSCA_COREDIR="/usr/local/lusca/var/logs"
+LUSCA_START_FLAGS="-ND"
+
+ulimit -n 65535
+
+case $1 in
+       'start')
+               echo "Starting Lusca.."
+               cd ${LUSCA_COREDIR} && ${LUSCA_BIN} ${LUSCA_START_FLAGS}
+               exit 0
+       ;;
+       'stop')
+               echo "Stopping Lusca.."
+               ${LUSCA_BIN} -k shutdown
+               sleep 60
+               exit 0
+       ;;
+       'rotate')
+               echo "Rotating Lusca Logfiles.."
+               ${LUSCA_BIN} -k rotate
+               exit 0
+       ;;
+       'reconfigure')
+               echo "Reconfiguring Lusca.."
+               ${LUSCA_BIN} -k reconfigure
+               exit 0
+       ;;
+       *)
+               echo "$0: {start|stop|rotate|reconfigure}"
+               exit 1
+       ;;
+esac
+exit 0

--~--~---------~--~----~------------~-------~--~----~
You received this message because you are subscribed to the Google Groups 
"lusca-commit" group.
To post to this group, send email to [email protected]
To unsubscribe from this group, send email to 
[email protected]
For more options, visit this group at 
http://groups.google.com/group/lusca-commit?hl=en
-~----------~----~----~----~------~----~------~--~---

Reply via email to